Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > HOWTO-Related Questions

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #21  
Old 3rd July 2013, 02:16
Rocky Rocky is offline
Senior Member
 
Join Date: Oct 2005
Posts: 551
Thanks: 14
Thanked 48 Times in 47 Posts
Default

This is what the perms look like on my setup:

drwxr-xr-x 5 postfix celeryd 4096 Dec 5 2012 MailScanner

drwxr-xr-x 294 postfix celeryd 12288 Jul 2 20:07 incoming
drwxr-xr-x 19 postfix celeryd 4096 Jul 2 06:25 quarantine
drwxr-xr-x 2 postfix celeryd 4096 Dec 5 2012 spamassassin
__________________
Home of the SpamSnake
Reply With Quote
The Following User Says Thank You to Rocky For This Useful Post:
AbannyvabVask (18th December 2013)
Sponsored Links
  #22  
Old 4th July 2013, 21:16
Chluz Chluz is offline
Junior Member
 
Join Date: Jun 2013
Posts: 9
Thanks: 0
Thanked 4 Times in 4 Posts
Default

Hi, thanks for your reply.

i checked and file /usr/lib/python2.7/dist-packages/setuptools.egg-info exists but is empty.

The script you uploaded doesn't seem to work, but this one does (I basically did exactly what you said to do in your tutorial, but change the PIDFILE path)


Code:
#! /bin/sh
   ### BEGIN INIT INFO
   # Provides:          MailScanner daemon
   # Required-Start:    $local_fs $remote_fs
   # Required-Stop:     $local_fs $remote_fs
   # Default-Start:     2 3 4 5
   # Default-Stop:      0 1 6
   # Short-Description: Controls mailscanner instances
   # Description:       MailScanner is a queue-based spam/virus filter
   ### END INIT INFO
   # Author: Simon Walter <simon.walter@hp-factory.de>
   # PATH should only include /usr/* if it runs after the mountnfs.sh script
   PATH=/usr/sbin:/usr/bin:/bin:/sbin:/opt/MailScanner/bin
   DESC="mail spam/virus scanner"
   NAME=MailScanner
   PNAME=mailscanner
   DAEMON=/opt/MailScanner/bin/$NAME
   STARTAS=MailScanner
   SCRIPTNAME=/etc/init.d/$PNAME
   #CONFFILE=/opt/MailScanner/etc/MailScanner.conf
   CONFFILE=/etc/MailScanner/MailScanner.conf
   PIDFILE=/opt/MailScanner/var/MailScanner.pid
   # Exit if the package is not installed
   [ -x "$DAEMON" ] || exit 0
   run_nice=0
   stopped_lockfile=/var/lock/subsys/MailScanner.off
   # Read configuration variable file if it is present
   [ -r /etc/default/$PNAME ] && . /etc/default/$PNAME
   # Load the VERBOSE setting and other rcS variables
   . /lib/init/vars.sh
   # Define LSB log_* functions.
   # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
   . /lib/lsb/init-functions
   # sanity check for permissions
   fail()
   {
   echo >&2 "$0: $1"
   exit 1
   }
   check_dir()
   {
   if [ ! -d $1 ]; then
   mkdir -p "$1" || \
   fail "directory $1: does not exist and cannot be created"
   fi
   actual="$(stat -c %U $1)"
   if [ "$actual" != "$2" ]; then
   chown -R "$2" "$1" || \
   fail "directory $1: wrong owner (expected $2 but is $actual)"
   fi
   actual="$(stat -c %G $1)"
   if [ "$actual" != "$3" ]; then
   chgrp -R "$3" "$1" || \
   fail "directory $1: wrong group (expected $3 but is $actual)"
   fi
   }
   user=$(echo $(awk -F= '/^Run As User/ {print $2; exit}' $CONFFILE))
   group=$(echo $(awk -F= '/^Run As Group/ {print $2; exit}' $CONFFILE))
   #check_dir /var/spool/MailScanner       ${user:-postfix} ${group:-www-data}
   #check_dir /var/lib/MailScanner         ${user:-postfix} ${group:-www-data}
   #check_dir /var/run/MailScanner         ${user:-postfix} ${group:-www-data}
   check_dir /var/spool/MailScanner ${user:-postfix} ${group:-celeryd}
   check_dir /var/lib/MailScanner ${user:-postfix} ${group:-celeryd}
   check_dir /var/run/MailScanner ${user:-postfix} ${group:-celeryd}
   check_dir /var/lock/subsys	${user:-root}	${group:-root} #Required to Create Folder
   #check_dir /var/lock/subsys/MailScanner ${user:-postfix} ${group:-www-data}
   check_dir /var/lock/subsys/MailScanner ${user:-postfix} ${group:-celeryd}
   #
   # Function that starts the daemon/service
   #
   do_start()
   {
   # Return
   #   0 if daemon has been started
   #   1 if daemon was already running
   #   2 if daemon could not be started
   #start-stop-daemon --start --quiet --startas $STARTAS --name $NAME --test > /dev/null \
   start-stop-daemon --start --quiet --startas $STARTAS  --pidfile "$PIDFILE" --test > /dev/null \
   || return 1
   #start-stop-daemon --start --quiet --nicelevel $run_nice --chuid postfix:www-data --exec $DAEMON --name $NAME -- $DAEMON_ARGS \
   start-stop-daemon --start --quiet --nicelevel $run_nice --chuid postfix:celeryd --exec $DAEMON  --pidfile "$PIDFILE" -- $DAEMON_ARGS \
   || return 2
   # Add code here, if necessary, that waits for the process to be ready
   # to handle requests from services started subsequently which depend
   # on this one.  As a last resort, sleep for some time.
   # Set lockfile to inform cronjobs about the running daemon
   RETVAL="$?"
   if [ $RETVAL -eq 0 ]; then
   touch /var/lock/subsys/mailscanner
   rm -f $stopped_lockfile
   fi
   if [ $RETVAL -eq 0 ]; then
   echo "MailScanner Started"
   fi
   }
   #
   # Function that stops the daemon/service
   #
   do_stop()
   {
   # Return
   #   0 if daemon has been stopped
   #   1 if daemon was already stopped
   #   2 if daemon could not be stopped
   #   other if a failure occurred
   #start-stop-daemon --stop --retry=TERM/30 --name $NAME
   start-stop-daemon --stop --retry=TERM/30 --pidfile "$PIDFILE"
   RETVAL="$?"
   [ "$RETVAL" = 2 ] && return 2
   # Remove lockfile for cronjobs
   if [ $RETVAL -eq 0 ]; then
   rm -f /var/lock/subsys/mailscanner
   touch $stopped_lockfile
   fi
   if [ $RETVAL -eq 0 ]; then
   echo "MailScanner Stopped"
   fi
   }
   #
   # Function that sends a SIGHUP to the daemon/service
   #
   do_reload() {
   #start-stop-daemon --stop --signal 1 --quiet --name $NAME
   start-stop-daemon --stop --signal 1 --quiet --pidfile "$PIDFILE"
   return 0
   }
   case "$1" in
   start)
   [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
   do_start
   case "$?" in
   0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
   2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
   stop)
   [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
   do_stop
   case "$?" in
   0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
   2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
   restart|force-reload)
   #
   # If the "reload" option is implemented then remove the
   # 'force-reload' alias
   #
   log_daemon_msg "Restarting $DESC" "$NAME"
   do_stop
   case "$?" in
   0|1)
   do_start
   case "$?" in
   0) log_end_msg 0 ;;
   1) log_end_msg 1 ;; # Old process is still running
   *) log_end_msg 1 ;; # Failed to start
   esac
   ;;
   *)
   # Failed to stop
   log_end_msg 1
   ;;
   esac
   ;;
   *)
   echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
   exit 3
   ;;
   esac
 exit 0
For the permission, do you think my permissions are insecure ? they seem to work fine but I was unsure

Last edited by Chluz; 4th July 2013 at 21:18.
Reply With Quote
  #23  
Old 5th July 2013, 10:23
Chluz Chluz is offline
Junior Member
 
Join Date: Jun 2013
Posts: 9
Thanks: 0
Thanked 4 Times in 4 Posts
Default

Hi again,

I want to thank you again for all your help (I feel I don't say it enough )

In any case, I must have done something odd, as when I set the same perms as you all my messages cannot be processed by mailscanner. If I set the write permission for the group on folder /var/spool/MailScanner/quarantine in addition to what you showed, everything works
Reply With Quote
  #24  
Old 19th August 2013, 23:32
Chluz Chluz is offline
Junior Member
 
Join Date: Jun 2013
Posts: 9
Thanks: 0
Thanked 4 Times in 4 Posts
Default Spamassassin sa-learn and exchange 2013 integration

Just for those interested, I have written some lines on teh general way of getting spamassassin to learn messages from exchange after they are marked as spam by exchange users

http://spamassassin.1065346.n5.nabbl...10p106260.html

It definitely works for small number of users. For larger environments I showed how I thought it should be done.
Reply With Quote
  #25  
Old 25th November 2013, 22:56
anandx anandx is offline
HowtoForge Supporter
 
Join Date: Oct 2008
Posts: 40
Thanks: 1
Thanked 6 Times in 5 Posts
Default

I am facing a problem with this howto and even opened a thread : http://www.howtoforge.com/forums/sho...d.php?p=306340.

Any help would be appreciated.

Thanks
Reply With Quote
The Following User Says Thank You to anandx For This Useful Post:
feeninuoumn (21st December 2013)
  #26  
Old 28th November 2013, 01:02
Chluz Chluz is offline
Junior Member
 
Join Date: Jun 2013
Posts: 9
Thanks: 0
Thanked 4 Times in 4 Posts
 
Default

Quote:
Originally Posted by Chluz View Post
Hi, thanks for your reply.
i checked and file /usr/lib/python2.7/dist-packages/setuptools.egg-info exists but is empty.
I managed to fix the problem with setuptools.egg-info by just remloving the file and reinstalling setup tools :

sudo rm /usr/lib/python2.6/dist-packages/setuptools.egg-info
sudo apt-get install --reinstall python-setuptools
Reply With Quote
The Following User Says Thank You to Chluz For This Useful Post:
AbannyvabVask (19th December 2013)
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
The Perfect SpamSnake - Ubuntu 12.04 - No mail getting through from the outside Roderick1st HOWTO-Related Questions 3 8th February 2013 15:48
The Perfect SpamSnake - Ubuntu Jeos 10.10 - Managing transport relay_domains etc mintydave HOWTO-Related Questions 19 20th January 2011 03:15
Connection timed out on intermail outgoing mails gouravgarg Server Operation 6 5th March 2010 20:31
MailScanner trouble with DBD-MYSQL sergio.arnaldo Server Operation 11 26th August 2009 18:08
SpamSnake SpamAssassin not working? getrav HOWTO-Related Questions 5 23rd June 2008 23:02


All times are GMT +2. The time now is 01:19.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.